:root {
    --primary: rgb(22, 159, 242);
    --default-text: #3E3E3E;
    --placeholder-text: #3E3E3E80;
    --default-text-20: #8C8C8C;
    --accordion--default: 0fr;
    --text-color: #3E3E3E;
}



#search-modal .modal {
    padding: 0 0 24px 0;
    max-width: 720px;
    width: 100%;
    height: 100%;
    max-height: 612px;
}

#search-modal .modal .top {
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 24px 24px 0 24px;
    box-sizing: border-box;
}

#search-modal .modal .top .row {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 12px;
}

#search-modal .modal .top .search-input {
    box-sizing: border-box;
    flex: 1 1 auto;
    height: 48px;
    background: #F4F4F4;
    border: 1.5px solid transparent;
    border-radius: 4px;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0 12px;
    gap: 12px;
    transition: border-color .35s ease-in-out;
}

#search-modal .modal .top .search-input:focus-within,
#search-modal .modal .top .search-input:hover {
    border-color: var(--primary);
}

#search-modal .modal .top .search-input .loop {
    display: flex;
    flex-direction: row;
    flex: 0 0 24px;
    height: 24px;
    color: var(--primary);
}

#search-modal .modal .top .search-input input {
    flex: 1 1 auto;
    height: 48px;
    background-color: transparent;
    border: none;
    outline: none;
    line-height: 48px;
    font-size: 18px;
    line-height: 48px;
    color: var( --text-color );
    width: 0;
}

#search-modal .modal .top .search-input input::placeholder {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 48px;
    color: rgba(62, 62, 62, 0.5);
}

#search-modal .modal .top .search-input .clear {
    display: flex;
    flex-direction: row;
    flex: 0 0 auto;
    color: #9E9E9E;
    cursor: pointer;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 19px;
    font-style: normal;
    transform: scale(0);
    opacity: 0;
    transition: opacity .25s, transform .25s ease-in-out;
}

#search-modal .modal .top .search-input .clear.show {
    transform: scale(1);
    opacity: 1;
}

#search-modal .modal .top .row .close {
    position: relative;
    top: auto;
    right: auto;
    display: flex;
    flex-direction: row;
    flex: 0 0 auto;
    width: auto;
}


#search-modal .modal .top .row .close > svg {
    width: 12px;
    height: 12px;
}

#search-modal .modal .tabs,
#search-modal .modal .number-of-results {
    height: 68px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 8px;
    border-bottom: 0.5px solid rgba(62, 62, 62, 0.5);
}

#search-modal .modal .tabs.hide,
#search-modal .modal .number-of-results.hide {
    display: none;
}

#search-modal .modal .number-of-results {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 22px;
    color: var(--text-color);
}


#search-modal .modal .tabs button {
    height: 32px;
    box-sizing: border-box;
    padding: 0 16px;
    border: 1px solid var(--primary);
    color: var(--primary);
    border-radius: 4px;
    background: transparent;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    cursor: pointer;
}

#search-modal .modal .tabs button:hover,
#search-modal .modal .tabs button.active {
    background-color: var(--primary);
    color: #ffffff;
}


#search-modal .modal #results {
    position: relative;
    width: 100%;
    max-height: 448px;
    height: 100%;
}

#search-modal .modal #results .content {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: #ffffff;
    display: none;
    flex-direction: column;
    overflow: auto;
    box-sizing: border-box;
}


#search-modal .content.recent ,
#search-modal .content.favorite {
    padding: 20px 0;
}

#search-modal .modal #results .content.show {
    display: flex;
}

#search-modal .modal #results .section {
    width: 100%;
}

#search-modal .modal #results .section h5 {
    padding: 0 40px;
    box-sizing: border-box;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 22px;
    color: var(--primary);
    margin: 16px 0 8px 0;
}

#search-modal .content.recent h5,
#search-modal .content.favorite h5 {
    display: none;
}

#search-modal .content.recent ul,
#search-modal .content.favorite ul,
#search-modal .modal #results .section ul {
    margin: 0;
    padding: 0 0 20px 0;
    list-style: none;
    position: relative;
}

#search-modal .content.recent ul::after,
#search-modal .content.favorite ul::after,
#search-modal .modal #results .section ul:after {
    position: absolute;
    content: ' ';
    height: 0.5px;
    background-color:rgba(62, 62, 62, 0.5);
    bottom: 0;
    left: 24px;
    right: 24px;
}

#search-modal .content.recent ul::after,
#search-modal .content.favorite ul::after,
#search-modal .modal #results .section:last-child ul:after {
    background-color: transparent;
}

#search-modal .content.recent ul li,
#search-modal .content.favorite ul li,
#search-modal .modal #results .section ul li {
    margin: 0;
    padding: 0 40px;
    height: 44px;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 16px;
    cursor: pointer;
    transition: background .15s ease-in-out;
}

#search-modal .content.recent ul li:hover,
#search-modal .content.favorite ul li:hover,
#search-modal .modal #results .section ul li:hover {
    background-color: #E7F6FF;
}

#search-modal .content.recent ul li svg.icon,
#search-modal .content.favorite ul li svg.icon,
#search-modal .modal #results .section ul li svg.icon {
    flex: 0 0 20px;
    height: auto;
    color: var(--text-color);
}

#search-modal .content.recent ul li label,
#search-modal .content.favorite ul li label,
#search-modal .modal #results .section ul li label {
    flex: 1 1 auto;
    color: var(--text-color);
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    cursor: pointer;
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
}



#search-modal .modal #results .section ul li {
    cursor: default;
}

#search-modal .content.recent ul li:has(span),
#search-modal .content.favorite ul li:has(span) {
    cursor: default;
    justify-content: center;
    height: 60px;
}

#search-modal .content.recent ul li span,
#search-modal .content.favorite ul li span {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 25px;
    color: rgba(62, 62, 62, 0.5);
}

#search-modal .modal #results .section ul li span {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    color: rgba(62, 62, 62, 0.5);
    cursor: default;
}


#search-modal .content.recent ul li:hover ~ span,
#search-modal .content.favorite ul li:hover:has(span),
#search-modal .modal #results .section ul li:hover:has(span) {
    background-color: transparent;
}

#search-modal .content.recent ul li i.fav,
#search-modal .content.favorite ul li i.fav,
#search-modal .modal #results .section ul li i.fav {
    flex: 0 0 20px;
    height: 20px;
    cursor: pointer;
}

#search-modal .content.recent ul li i.fav svg,
#search-modal .content.favorite ul li i.fav svg,
#search-modal .modal #results .section ul li i.fav svg {
    color: transparent;
    cursor: pointer;
}

#search-modal .content.recent ul li i.fav.active svg,
#search-modal .content.favorite ul li i.fav.active svg,
#search-modal .modal #results .section ul li i.fav.active svg {
    color: var(--primary);
}

#search-modal .content.recent ul li i.remove,
#search-modal .content.favorite ul li i.remove,
#search-modal .modal #results .section ul li i.remove {
    flex: 0 0 12px;
    height: 12px;
    color: #9E9E9E;
    cursor: pointer;
}

#search-modal .content.recent ul li i svg,
#search-modal .content.favorite ul li i svg,
#search-modal .modal #results .section ul li i svg {
    width: 100%;
}

#search-modal .modal #results .content.search-results ul {
    padding: 0 24px;
    margin: 0;
    list-style-type: none;
    box-sizing: border-box;
}

#search-modal .modal #results .content.search-results ul > li {
    position: relative;
}

#search-modal .modal #results .content.search-results > ul > li::after {
    content: ' ';
    background-color: rgba(62, 62, 62, 0.5);
    height: 0.5px;
    display: block;
    width: 100%;
}

#search-modal .modal #results .content.search-results > ul > li:last-child:after {
    content: none;
}

#search-modal .modal #results .content.search-results ul li a {
    color: var(--primary);
    text-decoration: none;
}

#search-modal .modal #results .content.search-results ul li a:hover {
    text-decoration: underline;
}

#search-modal .modal #results .content.search-results ul li a h3 {
    padding:  0;
    margin: 24px 0 0 0;
    box-sizing: border-box;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 22px;
    display: flex;
    flex-direction: row;
    align-items: center;
    color: var(--primary);
}

#search-modal .modal #results .content.search-results ul li p {
    box-sizing: border-box;
    padding:  0 0 0 24px;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    color: #3E3E3E;
}

#search-modal .modal #results .content.search-results ul li ul li p {
    padding: 0;
}

#search-modal .modal #results .content.search-results ul li a h3::before {
    display: block;
    content: ' ';
    position: relative;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background-color: #D9D9D9;
    margin: 0 10px;
}

#search-modal .modal #results .content.search-results ul li a h4 {
    box-sizing: border-box;
    padding: 0;
    margin: 0 0 4px 0;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    color: var(--primary);
    display: flex;
    flex-direction: row;
    align-items: center;
}

#search-modal .modal #results .content.search-results ul li a h4::before {
    display: block;
    content: ' ';
    position: relative;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: var(--primary);
    margin: 0 8px 0 10px;
}

#search-modal .modal #results .content.search-results ul li ul li p {
    margin: 0 0 24px 0;
}

#search-modal .modal #results .content.search-results ul li mark {
    background-color: #E7F6FF;
}


@media only screen and (max-width: 732px) {

    #search-modal .modal .tabs {
        justify-content:  space-between;
    }

    #search-modal .modal .tabs > button {
        flex: 1 1 auto;
    }

    #search-modal .modal #results .section h5 {
        padding: 0 24px;
    }
    
    #search-modal .content.recent ul li, 
    #search-modal .content.favorite ul li, 
    #search-modal .modal #results .section ul li {
        padding: 0 24px;
    }   
}